use work.instructions.all;
use work.indexed_addressing_mixin;

package store_instructions is

    type store_instruction is
	abstract new instruction with record
            source : register_number;
        end record store_instruction;


    package indexed_stores is new indexed_addressing_mixin
        generic map ( parent_instruction => store_instruction );
                              
    alias indexed_store_instruction is indexed_stores.indexed_instruction;

end package store_instructions;
